import { Routes, RouterModule } from '@angular/router';

import { MainComponent } from './main/main.component';
import { DataComponent } from './data/data.component';
import { LoginComponent } from './login/login.component';
import { TemplatesComponent } from './templates/templates.component';
import { BusStopComponent } from './data/bus-stop/bus-stop.component';
import { RoadSurfaceComponent } from './data/road-surface/road-surface.component';
import { RoadWidthComponent } from './data/road-width/road-width.component';
import { RoadToCategoryComponent } from './data/road-to-category/road-to-category.component';
import { CrossSectionComponent } from './data/cross-section/cross-section.component';
import { ServiceObjectComponent } from './data/service-object/service-object.component';
import { FlowIntensityComponent } from './data/flow-intensity/flow-intensity.component';
import { RoadComponent } from './data/road/road.component';
import { RoadServiceComponent } from './data/road-service/road-service.component';
import { SettlementAddressLinkComponent } from './data/settlement-address-link/settlement-address-link.component';
import { MapComponent } from './data/map/map.component';
import {AuthorityComponent} from "./data/authority/authority.component";
import {ContractorComponent} from "./data/contractor/contractor.component";

const routes: Routes = [
  {path: 'login', component: LoginComponent},
  {path: '', component: MainComponent, children: [
    {path: '', component: TemplatesComponent},
    {path: 'data', component: DataComponent, children: [
        {path: 'bus-stop', component: BusStopComponent},
        {path: 'service-object', component: ServiceObjectComponent},
        {path: 'road-surface', component: RoadSurfaceComponent},
        {path: 'road-width', component: RoadWidthComponent},
        {path: 'flow-intensity', component: FlowIntensityComponent},
        {path: 'cross-section', component: CrossSectionComponent},
        {path: 'road', component: RoadComponent},
        {path: 'road-service', component: RoadServiceComponent},
        {path: 'road-to-category', component: RoadToCategoryComponent},
        {path: 'settlement-address-link', component: SettlementAddressLinkComponent},
        {path: 'authority/:roadId', component: AuthorityComponent},
        {path: 'authority', component: AuthorityComponent},
        {path: 'contractor/:roadId', component: ContractorComponent},
        {path: 'contractor', component: ContractorComponent},
        {path: 'map', component: MapComponent},
      ]},
  ]},
];

export const appRoutingProviders: any[] = [

];

export const appRoutes: any = RouterModule.forRoot(routes, { useHash: false });
