import * as L from 'leaflet';
import {NodeMarker} from "./node-marker";

export class Node {
    id: number;
    index: number;
    lat: number;
    lon: number;
    latLng: L.LatLng;
    marker: NodeMarker;
    protected createLatLng(): void {
        this.latLng = L.latLng(this.lat, this.lon);
    }
    public getLatLng(): L.LatLng {
        if (this.latLng == undefined) {
            this.createLatLng();
        }
        return this.latLng;
    }
    public setLatLng(lat: number, lon: number): void {
        this.lat = lat;
        this.lon = lon;
        this.createLatLng();
    }
}